> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get subscription balances

GET https://api.brevo.com/v3/loyalty/balance/programs/{pid}/subscriptions/{cid}/balances

Returns subscription balances

Reference: https://developers.brevo.com/reference/get-subscription-balances

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `cid` (string, required) — Contact Id
- `pid` (string, required) — Loyalty Program Id

### Query parameters

- `includeInternal` (boolean, optional) — Include balances tied to internal definitions.

## Response

### 200

Successful retrieval of contact balance

- `loyaltyProgramId` (string, optional) — Unique identifier of the loyalty program.
- `contactId` (long, optional) — Unique identifier of the contact.
- `balance` (list of object, optional) — Aggregate balance per balance definition.
  - `balanceDefinitionId` (string, optional) — Balance definition ID.
  - `value` (float, optional) — Aggregate balance value for this definition.

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "loyaltyProgramId": "string",
  "contactId": 1,
  "balance": [
    {
      "balanceDefinitionId": "string",
      "value": 1.1
    }
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.balance.getSubscriptionBalances({
        pid: "pid",
        cid: "cid",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.balance.get_subscription_balances(
    pid="pid",
    cid="cid",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Balance\Requests\GetSubscriptionBalancesRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->balance->getSubscriptionBalances(
    'pid',
    'cid',
    new GetSubscriptionBalancesRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/balance/programs/pid/subscriptions/cid/balances"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/balance/programs/pid/subscriptions/cid/balances")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/balance/programs/pid/subscriptions/cid/balances")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/balance/programs/pid/subscriptions/cid/balances");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/balance/programs/pid/subscriptions/cid/balances")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```